Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class PdfReader.PageRefs

    java.lang.Object
      com.lowagie.text.pdf.PdfReader.PageRefs

Enclosing class:
  PdfReader

    static class PdfReader.PageRefs

extends Object

Field Summary
`private boolean` | `keepPages`
`private int` | `lastPageRead`
`private ArrayList` | `pageInh`
`private PdfReader` | `reader`
`private ArrayList` | `refsn`
`private IntHashtable` | `refsp`
`private int` | `sizep`

Constructor Summary
`(package private)` | `PdfReader.PageRefs(PdfReader.PageRefs other, PdfReader reader)`
`private` | `PdfReader.PageRefs(PdfReader reader)`

Method Summary
`PdfDictionary` | `getPageN(int pageNum)` Gets the dictionary that represents a page.
`PdfDictionary` | `getPageNRelease(int pageNum)`
`PRIndirectReference` | `getPageOrigRef(int pageNum)` Gets the page reference to this page.
`PRIndirectReference` | `getPageOrigRefRelease(int pageNum)`
`protected PRIndirectReference` | `getSinglePage(int n)`
`(package private) void` | `insertPage(int pageNum, PRIndirectReference ref)`
`private void` | `iteratePages(PRIndirectReference rpage)`
`(package private) void` | `keepPages()`
`private void` | `popPageAttributes()`
`private void` | `pushPageAttributes(PdfDictionary nodePages)`
`(package private) void` | `readPages()`
`void` | `releasePage(int pageNum)`
`(package private) void` | `reReadPages()`
`void` | `resetReleasePage()`
`private void` | `selectPages(List pagesToKeep)`
`(package private) int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### reader

    private PdfReader reader

### refsp

    private IntHashtable refsp

### refsn

    private ArrayList refsn

### pageInh

    private ArrayList pageInh

### lastPageRead

    private int lastPageRead

### sizep

    private int sizep

### keepPages

    private boolean keepPages

Constructor Detail

### PdfReader.PageRefs

    private PdfReader.PageRefs(PdfReader reader)
                        throws IOException

Throws:
  `IOException`

### PdfReader.PageRefs

    PdfReader.PageRefs(PdfReader.PageRefs other,
                       PdfReader reader)

Method Detail

### size

    int size()

### readPages

    void readPages()
             throws IOException

  Throws:
    `IOException`

### reReadPages

    void reReadPages()
               throws IOException

  Throws:
    `IOException`

### getPageN

    public PdfDictionary getPageN(int pageNum)

  Gets the dictionary that represents a page.

  Parameters:
    `pageNum` - the page number. 1 is the first
  Returns:
    the page dictionary

### getPageNRelease

    public PdfDictionary getPageNRelease(int pageNum)

  Parameters:
    `pageNum` -
  Returns:
    a dictionary object

### getPageOrigRefRelease

    public PRIndirectReference getPageOrigRefRelease(int pageNum)

  Parameters:
    `pageNum` -
  Returns:
    an indirect reference

### getPageOrigRef

    public PRIndirectReference getPageOrigRef(int pageNum)

  Gets the page reference to this page.

  Parameters:
    `pageNum` - the page number. 1 is the first
  Returns:
    the page reference

### keepPages

    void keepPages()

### releasePage

    public void releasePage(int pageNum)

  Parameters:
    `pageNum` -

### resetReleasePage

    public void resetReleasePage()

### insertPage

    void insertPage(int pageNum,
                    PRIndirectReference ref)

### pushPageAttributes

    private void pushPageAttributes(PdfDictionary nodePages)

### popPageAttributes

    private void popPageAttributes()

### iteratePages

    private void iteratePages(PRIndirectReference rpage)
                       throws IOException

  Throws:
    `IOException`

### getSinglePage

    protected PRIndirectReference getSinglePage(int n)

### selectPages

    private void selectPages(List pagesToKeep)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD